[Elven Scout Class Transfer]:
In order to become a Silver Ranger, Elven Scout must successfully complete three quests. The Trial of the Seeker can only be undertaken by a player of level 35 or above. This quest begins by meeting with Master Dufner of Giran Castle Town. The Testimony of Life can only be undertaken by a player of level 37 or above. This quest begins by meeting with Master Cardien of Dion Castle Town. Finally, the Test of Sagittarius can only be undertaken by a player of level 39 or above. This quest begins by meeting with Guild President Bernard in Hunters Village.
Return
Close Window